import 'package:flutter/material.dart';
import 'package:tag_ui/design_tokens/tokens.dart';

class TagBox extends StatelessWidget {
  const TagBox(
      {Key? key,
      required this.child,
      this.minHeight = 0,
      this.minWidth = 0,
      this.background,
      this.padding})
      : super(key: key);

  final Widget child;
  final double minHeight;
  final double minWidth;
  final Color? background;
  final EdgeInsets? padding;

  @override
  Widget build(BuildContext context) {
    return Container(
        constraints: BoxConstraints(minHeight: minHeight, minWidth: minWidth),
        padding: padding ?? EdgeInsets.all(8),
        decoration: BoxDecoration(
          color: background,
          borderRadius: BorderRadius.circular(
            TagBorderRadiusValues.borderRadiusNormal,
          ),
        ),
        child: child);
  }
}
